Package com.collibra.dgc.core.api.dto.meta.status

# Class ChangeStatusRequest

Object
ChangeStatusRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeStatusRequest extends Object implements Serializable
The properties of the Status to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeStatusRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeStatusRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeStatusRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDescription()`
  The new description for the Status.
  `UUID`
  `getId()`
  Required. The ID of the Status to be changed.
  `String`
  `getName()`
  The new name for the Status.
  `int`
  `hashCode()`
  `void`
  `setDescription(String description)`
  The new description for the Status.
  `void`
  `setId(UUID id)`
  Required. The ID of the Status to be changed.
  `void`
  `setName(String name)`
  The new name for the Status.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeStatusRequest

    public ChangeStatusRequest()

- ## Method Details

  - ### builder

    public static ChangeStatusRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the Status to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getName

    public String getName()
    The new name for the Status.

  - ### getDescription

    public String getDescription()
    The new description for the Status.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the Status to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setName

    public void setName(String name)
    The new name for the Status.

  - ### setDescription

    public void setDescription(String description)
    The new description for the Status.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`